{"title":"Get picture","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_picture_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_picture_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_picture_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a picture object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":84,"chars":542},{"level":2,"title":"Request headers","slug":"request-headers","at":626,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":698,"chars":61},{"level":2,"title":"Response","slug":"response","at":759,"chars":119},{"level":2,"title":"Example","slug":"example","at":878,"chars":1135},{"level":2,"title":"Related information","slug":"related-information","at":2013,"chars":176}],"text":"Retrieve the properties and relationships of a picture object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guidelines<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({companyId})/items({itemId})/picture\nGET businesscentralPrefix/companies({companyId})/employees({employeeId})/picture\nGET businesscentralPrefix/companies({companyId})/vendors({vendorId})/picture\nGET businesscentralPrefix/companies({companyId})/customers({customerId})/picture\nGET businesscentralPrefix/companies({companyId})/contacts({contactId})/picture\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a picture object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies(companyId)/items(itemId)/picture\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"53049aad-bde4-ea11-bbf2-00155df3a615\",\n    \"parentType\": \"Item\",\n    \"width\": 400,\n    \"height\": 400,\n    \"contentType\": \"image/jpeg\",\n    \"pictureContent@odata.mediaEditLink\": \"http://bcserver:7048/BC/api/v2.0/companies(52e03390-bde4-ea11-bbf2-00155df3a615)/customers(53049aad-bde4-ea11-bbf2-00155df3a615)/picture(3ba68d90-3a48-ed11-bbb0-000d3a398903)/content\",\n    \"pictureContent@odata.mediaReadLink\": \"http://bcserver:7048/BC/api/v2.0/companies(52e03390-bde4-ea11-bbf2-00155df3a615)/customers(53049aad-bde4-ea11-bbf2-00155df3a615)/picture(3ba68d90-3a48-ed11-bbb0-000d3a398903)/content\"\n}\n```\nRequest\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies(companyId)/items(itemId)/picture(3ba68d90-3a48-ed11-bbb0-000d3a398903)/content\n```\nResponse\nBody is the raw image data.\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_picture\ndynamics_picture_delete\ndynamics_picture_update"}